using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class LoadingText : MonoBehaviour 
{

	public Text loadingText;


	void Start () 
	{
		StartCoroutine (LoadingMovement ());
	}



	IEnumerator LoadingMovement()
	{
		while (true)
		{
			loadingText.text = "Loading";
			yield return new WaitForSeconds (0.3f);
			loadingText.text = " Loading.";
			yield return new WaitForSeconds (0.3f);
			loadingText.text = "  Loading..";
			yield return new WaitForSeconds (0.3f);
			loadingText.text = "   Loading...";
			yield return new WaitForSeconds (0.3f);
		}
	}
		
}






